Package org.apache.wiki.providers

## Class WikiPageAdapterProvider

- java.lang.Object
- - org.apache.wiki.providers.WikiPageAdapterProvider

All Implemented Interfaces:
  `PageProvider`, `WikiProvider`

    @Deprecated
    public class WikiPageAdapterProvider
    extends java.lang.Object
    implements PageProvider

Deprecated.
adapted provider should use `PageProvider` instead.
This provider ensures backward compatibility with page providers not using the public API. As providers should use the public API directly, the use of this class is considered deprecated.

See Also:
  `PageProvider`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`WikiPageAdapterProvider()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `deletePage​(java.lang.String pageName)` Deprecated.
`void` `deleteVersion​(java.lang.String pageName, int version)` Deprecated.
`java.util.Collection<SearchResult>` `findPages​(QueryItem[] query)` Deprecated.
`java.util.Collection<Page>` `getAllChangedSince​(java.util.Date date)` Deprecated.
`java.util.Collection<Page>` `getAllPages()` Deprecated.
`int` `getPageCount()` Deprecated.
`Page` `getPageInfo​(java.lang.String page, int version)` Deprecated.
`java.lang.String` `getPageText​(java.lang.String page, int version)` Deprecated.
`java.lang.String` `getProviderInfo()` Deprecated.
`java.util.List<Page>` `getVersionHistory​(java.lang.String page)` Deprecated.
`void` `initialize​(Engine engine, java.util.Properties properties)` Deprecated.
`void` `movePage​(java.lang.String from, java.lang.String to)` Deprecated.
`boolean` `pageExists​(java.lang.String page)` Deprecated.
`boolean` `pageExists​(java.lang.String page, int version)` Deprecated.
`void` `putPageText​(Page page, java.lang.String text)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WikiPageAdapterProvider

    public WikiPageAdapterProvider()

Deprecated.

### Method Detail

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties properties)
                    throws NoRequiredPropertyException,
                           java.io.IOException

Deprecated.

Specified by:
  `initialize` in interface `WikiProvider`
Throws:
  `NoRequiredPropertyException`
  `java.io.IOException`

#### getProviderInfo

    public java.lang.String getProviderInfo()

Deprecated.

Specified by:
  `getProviderInfo` in interface `WikiProvider`

#### putPageText

    public void putPageText​(Page page,
                            java.lang.String text)
                     throws ProviderException

Deprecated.

Specified by:
  `putPageText` in interface `PageProvider`
Throws:
  `ProviderException`

#### pageExists

    public boolean pageExists​(java.lang.String page)

Deprecated.

Specified by:
  `pageExists` in interface `PageProvider`

#### pageExists

    public boolean pageExists​(java.lang.String page,
                              int version)

Deprecated.

Specified by:
  `pageExists` in interface `PageProvider`

#### findPages

    public java.util.Collection<SearchResult> findPages​(QueryItem[] query)

Deprecated.

Specified by:
  `findPages` in interface `PageProvider`

#### getPageInfo

    public Page getPageInfo​(java.lang.String page,
                            int version)
                     throws ProviderException

Deprecated.

Specified by:
  `getPageInfo` in interface `PageProvider`
Throws:
  `ProviderException`

#### getAllPages

    public java.util.Collection<Page> getAllPages()
                                           throws ProviderException

Deprecated.

Specified by:
  `getAllPages` in interface `PageProvider`
Throws:
  `ProviderException`

#### getAllChangedSince

    public java.util.Collection<Page> getAllChangedSince​(java.util.Date date)

Deprecated.

Specified by:
  `getAllChangedSince` in interface `PageProvider`

#### getPageCount

    public int getPageCount()
                     throws ProviderException

Deprecated.

Specified by:
  `getPageCount` in interface `PageProvider`
Throws:
  `ProviderException`

#### getVersionHistory

    public java.util.List<Page> getVersionHistory​(java.lang.String page)
                                           throws ProviderException

Deprecated.

Specified by:
  `getVersionHistory` in interface `PageProvider`
Throws:
  `ProviderException`

#### getPageText

    public java.lang.String getPageText​(java.lang.String page,
                                        int version)
                                 throws ProviderException

Deprecated.

Specified by:
  `getPageText` in interface `PageProvider`
Throws:
  `ProviderException`

#### deleteVersion

    public void deleteVersion​(java.lang.String pageName,
                              int version)
                       throws ProviderException

Deprecated.

Specified by:
  `deleteVersion` in interface `PageProvider`
Throws:
  `ProviderException`

#### deletePage

    public void deletePage​(java.lang.String pageName)
                    throws ProviderException

Deprecated.

Specified by:
  `deletePage` in interface `PageProvider`
Throws:
  `ProviderException`

#### movePage

    public void movePage​(java.lang.String from,
                         java.lang.String to)
                  throws ProviderException

Deprecated.

Specified by:
  `movePage` in interface `PageProvider`
Throws:
  `ProviderException`